Bug 279038 - Animated zoom effect when entering/leaving a folder
Summary: Animated zoom effect when entering/leaving a folder
Status: CONFIRMED
Alias: None
Product: dolphin
Classification: Unclassified
Component: view-engine: general (show other bugs)
Version: 1.99
Platform: Unlisted Binaries Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Dolphin Bug Assignee
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-01 13:56 UTC by Bernhard Beschow
Modified: 2017-09-04 14:51 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bernhard Beschow 2011-08-01 13:56:17 UTC
Version:           unspecified
OS:                Linux

When entering/leaving a folder, dolphin should apply a zoom-in/zoom-out animation to visualize to the user what is going on.

Moreover, the breadcrumb view should perform an animation effect as well, like sliding the new folder in or out, respectively.

Reproducible: Didn't try


Actual Results:  
The view changes rather suddenly.

Expected Results:  
When entering a folder, the folder icon should get zoomed until it reaches the size of the view. After it has reached the size of the view, it should fade away to uncover the contents of the folder.

Alternatively, the folder icon itself could be animated. In that case it should visualize how the front page of the folder is openend, uncovering the contents on disk. The disk contents should appear very tiny at the beginning, and should be smoothly scaled to full size as the folder icon gets scaled to the size of the view.

When leaving a folder, the reverse effect should be applied.
Comment 1 Kai Uwe Broulik 2011-12-20 15:10:45 UTC
Iā€™d already be happy with a simple fade transition between folders. Peter promised that something like that would be possible with the new view engine when I initially placed a feature request about that :P
Comment 2 Peter Penz 2011-12-20 15:18:28 UTC
This was one of the first effects I applied when writing the new view-engine. Sadly the "fade-in-effect" in Qt is (at least on the desktop) very slow and noticeable reduces the directory loading times. I'd like to enable this effect later, however I guess it requires having a proper graphicssystem integration.

The "fade-in-effect" is still used when e.g. opening a tree in the details-view but you might notice a general slow-down of the performance there too (but I think there it is an acceptable compromise).
Comment 3 Jeroen van Meeuwen (Kolab Systems) 2012-08-24 16:19:42 UTC
Resetting assignee to default as per bug #305719
Comment 4 Nate Graham 2017-09-04 03:46:35 UTC
Strongly agree. A Zoom in/out animation would be really nice.
Comment 5 Paul 2017-09-04 12:47:13 UTC
Strongly disagree. A Zoom in/out animation would be really awful.

If implemented, please, an option to disable.
Comment 6 Nate Graham 2017-09-04 13:07:35 UTC
Hah! You can't please everyone. There would probably be an option to disable it, yes, and hopefully it would be both fast and subtle so it wouldn't make your eyes bleed.
Comment 7 Paul 2017-09-04 13:53:22 UTC
Indeed, each to their own.  Personally I dislike all animation, no matter how subtle it may be.

Animate to your hearts content, provided it obeys either:

Sytem Settings - Display & Monitor - Compositor - Animation Speed - Instant

or (in ~/.config/plasmarc)
[Units]
longDuration=0
Comment 8 Nate Graham 2017-09-04 14:51:54 UTC
Excellent point. That way we wouldn't even need to add a new option to Dolphin; the global setting would take care of this for people like you who don't like animations.